﻿using UnityEngine;
using System.Collections;

public class RowController : MonoBehaviour
{
	private GameObject[] cubes;

	// Use this for initialization
	void Start () 
	{
		cubes = new GameObject[8];

		int numberChildren = transform.childCount;
		for( int i = 0 ; i < numberChildren; i++)
				cubes[i] = transform.GetChild(i).gameObject;

	}
	
	// Update is called once per frame
	void Update () 
	{

	}

	public void ResizeCube(int index)
	{
		for( int i = 0 ; i < 8 ; i++)
		{
			if(i == index)
				cubes[i].gameObject.transform.localScale = new Vector3(1.5f, 1.5f, 1.5f);
			else
				cubes[i].gameObject.transform.localScale = new Vector3(1, 1, 1);
		}
	}

}
